# [molecule](https://gitea.rknet.org/docker/molecule)

[![Build Status](https://img.shields.io/drone/build/docker/molecule?logo=drone&server=https%3A%2F%2Fdrone.rknet.org)](https://drone.rknet.org/docker/molecule)
[![Docker Hub](https://img.shields.io/badge/docker-latest-blue.svg?logo=docker&logoColor=white)](https://hub.docker.com/r/xoxys/molecule)
[![License: MIT](https://img.shields.io/badge/license-MIT-blue.svg)](https://gitea.rknet.org/docker/molecule/src/branch/master/LICENSE)

Docker image to automate Ansible deployment tests with Molecule. The image was build to use with any docker based CI system.

## Environment variables

```Shell
# Target directory to clone custom modules
MOLECULE_LIBRARY_DIR=$(pwd)/library

# If you use custom modules you can specify a git repo containing these files.
# The repo will be cloned so ansible can use it.
MOLECULE_CUSTOM_MODULES_REPO=

# Target base directory to clone plugins
MOLECULE_PLUGINS_DIR=$(pwd)/plugins

# If you have custom filters you can specify a git repo containing these files.
# Will be cloned to $MOLECULE_PLUGINS_DIR/filter
MOLECULE_CUSTOM_FILTERS_REPO=
```

## License

This project is licensed under the MIT License - see the [LICENSE](https://gitea.rknet.org/docker/molecule/src/branch/master/LICENSE) file for details.

## Maintainers and Contributors

[Robert Kaussow](https://gitea.rknet.org/xoxys)
